package com.rp.util.sort;

public class SortException extends Exception 
{
	private Exception e;
	
    public SortException (String str) 
    {
        this.e = new Exception(str);
    }

    public SortException () 
    {
        this.e = new Exception();
    }
 
    public SortException (Exception ex)
    {
    	this.e = ex;
    }
 
    public String getMessage ()
    {
    	return this.e.getMessage();	
    }
    
    public String getLocalizedMessage ()
    {
    	return this.e.getLocalizedMessage();	
    }
    
    public String toString()
    {
    	return e.toString();
    }
}