package com.rp.util.sort.compare;

public class ByteComparator implements java.util.Comparator
{

	public int compare(Object o1,Object o2) throws ClassCastException
	{
		if(!(o1 instanceof Byte))
		{
			throw new ClassCastException();
		}
		if(!(o2 instanceof Byte))
		{
			throw new ClassCastException();
		}
		byte d1 = ((Byte)o1).byteValue();
		byte d2 = ((Byte)o2).byteValue();
		
		if (d1 < d2)
		{
			return -1;	
		}
		else if (d1 > d2)
		{
			return 1;	
		}
		else
		{
			return 0;	
		}
	}
}
